Package org.eclipse.birt.chart.script.api.data

# Interface IDateTimeDataElement

All Superinterfaces:
  `IDataElement`

public interface IDateTimeDataElement extends IDataElement
A representation of the model object 'Date Time Data Element'. This type defines a single element of date/time data.

## Method Summary

Modifier and Type
Method
Description
`long`
`getValue()`
Returns the value of the 'Value' attribute.
`com.ibm.icu.util.Calendar`
`getValueAsCalendar()`
A convenient method provided to return the datetime value as a Calendar
`void`
`setValue(long value)`
Sets the value of the '`Value`' attribute.

## Method Details

### getValue

long getValue()
Returns the value of the 'Value' attribute. Holds a single date value as a long.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(long)`

### setValue

void setValue(long value)
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`

### getValueAsCalendar

com.ibm.icu.util.Calendar getValueAsCalendar()
A convenient method provided to return the datetime value as a Calendar

Returns:
  calendar date